Package com.xebialabs.deployit.plugin.api.udm.lookup

## Class IllegalLookupValueProviderKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.xebialabs.deployit.plugin.api.udm.lookup.IllegalLookupValueProviderKeyException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class IllegalLookupValueProviderKeyException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalLookupValueProviderKeyException()` |
    `IllegalLookupValueProviderKeyException​(java.lang.String message)` |
    `IllegalLookupValueProviderKeyException​(java.lang.String message, java.lang.Throwable cause)` |
    `IllegalLookupValueProviderKeyException​(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace)` |
    `IllegalLookupValueProviderKeyException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalLookupValueProviderKeyException

          public IllegalLookupValueProviderKeyException()

    - #### IllegalLookupValueProviderKeyException

          public IllegalLookupValueProviderKeyException​(java.lang.String message)

    - #### IllegalLookupValueProviderKeyException

          public IllegalLookupValueProviderKeyException​(java.lang.String message,
                                                        java.lang.Throwable cause)

    - #### IllegalLookupValueProviderKeyException

          public IllegalLookupValueProviderKeyException​(java.lang.Throwable cause)

    - #### IllegalLookupValueProviderKeyException

          public IllegalLookupValueProviderKeyException​(java.lang.String message,
                                                        java.lang.Throwable cause,
                                                        boolean enableSuppression,
                                                        boolean writableStackTrace)